summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authordustball2015-06-15 00:11:17 +0200
committerdustball2015-06-15 00:11:17 +0200
commit3109bd489b833d043d273707d5f83fa0f59176f5 (patch)
tree35ec7f246e68d16d219f4dfc09aa291e8d4e9730
downloadaur-3109bd489b833d043d273707d5f83fa0f59176f5.tar.gz
Init
-rw-r--r--.AURINFO16
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD33
3 files changed, 65 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..28897b32fa1
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,16 @@
+pkgbase = quicktile-git
+ pkgdesc = Lightweight standalone alternative to Compiz Grid plugin
+ pkgver = 20140626
+ pkgrel = 1
+ url = https://github.com/ssokolow/quicktile
+ arch = any
+ license = GPLv2
+ makedepends = git
+ depends = python2
+ depends = pygtk
+ depends = python2-xlib
+ depends = python2-wnck
+ optdepends = python2-dbus
+
+pkgname = quicktile-git
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..28897b32fa1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = quicktile-git
+ pkgdesc = Lightweight standalone alternative to Compiz Grid plugin
+ pkgver = 20140626
+ pkgrel = 1
+ url = https://github.com/ssokolow/quicktile
+ arch = any
+ license = GPLv2
+ makedepends = git
+ depends = python2
+ depends = pygtk
+ depends = python2-xlib
+ depends = python2-wnck
+ optdepends = python2-dbus
+
+pkgname = quicktile-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..efdb8d642c8
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,33 @@
+pkgname=quicktile-git
+pkgver=20140626
+pkgrel=1
+url="https://github.com/ssokolow/quicktile"
+pkgdesc="Lightweight standalone alternative to Compiz Grid plugin"
+arch=('any')
+license=('GPLv2')
+depends=('python2' 'pygtk' 'python2-xlib' 'python2-wnck')
+optdepends=('python2-dbus')
+makedepends=('git')
+
+_gitroot='git://github.com/ssokolow/quicktile.git'
+_gitname='quicktile'
+
+build()
+{
+ cd $srcdir
+
+ msg "Cloning quicktile from GIT"
+ if [ -d $_gitname ]; then
+ cd $_gitname
+ git pull || return 1
+ else
+ git clone $_gitroot $_gitname || return 1
+ cd $_gitname
+ fi
+}
+
+package()
+{
+ install -Dv -m755 ${srcdir}/quicktile/quicktile.py \
+ $pkgdir/usr/bin/quicktile
+}